<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 31/10/23
/*! 
 * \file
 * \brief 
 */
global $cn,$g_dir_nform,$g_http;

$cn=\Dossier::connect();;
$g_http=new \HttpInput();
$g_dir_nform=__DIR__;

function nform_class_autoloader($class) {
    global $g_dir_nform;
    $class=strtolower($class);
    $array=[
        'noalyss\forms\form'=>'class/form.class.php',
        'noalyss\forms\data_record'=>'class/data_record.class.php',
        'noalyss\forms\form_detail_sql'=>'database/form_detail_sql.class.php',
        'noalyss\forms\form_sql'=>'database/form_sql.class.php',
        'noalyss\forms\data_received_raw_sql'=>'database/data_received_raw_sql.class.php',
        'noalyss\forms\data_received_raw_detail_sql'=>'database/data_received_raw_detail_sql.class.php',
        'noalyss\forms\form_detail_mtable'=>'class/form_detail_mtable.class.php',
        'noalyss\forms\data_validate'=>'class/data_validate.class.php',
        'noalyss\forms\noalyss_form'=>'noalyss_form.class.php'
    ];

    if (isset($array[$class])) {
        require_once $g_dir_nform."/".$array[$class];
    }else {
        \Noalyss\Dbg::echo_var(1, __FILE__.__LINE__."not found $class");
    }

}
spl_autoload_register('nform_class_autoloader', true);